summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlon Bar-Lev <alonbl@gentoo.org>2019-03-05 09:42:47 +0200
committerAlon Bar-Lev <alonbl@gentoo.org>2019-03-05 09:42:47 +0200
commit2801f162470e38bd8d17968a9c89572832bb0d08 (patch)
treef20cfe242933bf850bac9b2c34140385a97302be /dev-libs
parentdev-python/sphinx-bootstrap-theme-0.6.5: ppc64 stable, bug 676622 (diff)
downloadgentoo-2801f162470e38bd8d17968a9c89572832bb0d08.tar.gz
gentoo-2801f162470e38bd8d17968a9c89572832bb0d08.tar.bz2
gentoo-2801f162470e38bd8d17968a9c89572832bb0d08.zip
dev-libs/libp11: version bump
Signed-off-by: Alon Bar-Lev <alonbl@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'dev-libs')
-rw-r--r--dev-libs/libp11/Manifest1
-rw-r--r--dev-libs/libp11/libp11-0.4.9.ebuild32
2 files changed, 33 insertions, 0 deletions
diff --git a/dev-libs/libp11/Manifest b/dev-libs/libp11/Manifest
index 8a234e011e8..162fa2e7770 100644
--- a/dev-libs/libp11/Manifest
+++ b/dev-libs/libp11/Manifest
@@ -1,2 +1,3 @@
DIST libp11-0.4.4.tar.gz 450709 BLAKE2B 4424c8dd8ee1f581c179c36b47bc03269f1c6b38bed2517a1209c8eaf2d8c2ab62da928b4cd20f1355b56dfbecbd2bd695118f7690c3eba2f5c188c6c4b5b169 SHA512 12d1e39981e62d758dc12a39c2ed5b6967a6e8c1db706c491db2c9aa0394fac278fa47dd4c64aa961e3b5ea98c1799b4ef7ef617ac076a414d88a6e29d5f0c4b
DIST libp11-0.4.7.tar.gz 475538 BLAKE2B 81d36f0795cae00a20be935790441b46257728cc5b1d9eb16d6c5df2609a795a68e12d0dc6b34b0348107fbd8c136d27dbadc42e0bc8970d5e491529e1903091 SHA512 8142b32bee9e6763b506b93be788a4df2b28ae8cb3ad6e11fc53ba3db770d77bdcc0362661c2f906cab1b5afc2828019f3d0f0b9d898414c0d6266201b7e08e6
+DIST libp11-0.4.9.tar.gz 492083 BLAKE2B df84d9303e6e143fbfeaaf2e8d0b57f3c4cd63356b15d629ab210196611ab42e396cf7efa69392ac81dd9fd591aea5580e0b38f545bf9bad9ec4748d08da90d2 SHA512 0c4a76ee7a5d98ec144dac1de8d4f52ad2515e6c578b3ee9705ef861bc06a27477b6ec42cf1d96944844f006992aef449b579b430b2e32d367f29d1a0d82f8ee
diff --git a/dev-libs/libp11/libp11-0.4.9.ebuild b/dev-libs/libp11/libp11-0.4.9.ebuild
new file mode 100644
index 00000000000..75e1ca5a431
--- /dev/null
+++ b/dev-libs/libp11/libp11-0.4.9.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Abstraction layer to simplify PKCS#11 API"
+HOMEPAGE="https://github.com/opensc/libp11/wiki"
+SRC_URI="https://github.com/OpenSC/${PN}/releases/download/${P}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="libressl bindist doc static-libs"
+
+RDEPEND="
+ !libressl? ( dev-libs/openssl:0=[bindist=] )
+ libressl? ( dev-libs/libressl:0= )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen )"
+
+src_configure() {
+ econf \
+ --enable-shared \
+ $(use_enable static-libs static) \
+ $(use_enable doc api-doc)
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}